<!DOCTYPE html>
<html>
<?php
$title = "Marcel's Homepage";
$services = [
    array("name" => "authentik","displayname" => "Authentik", "link" => "https://auth.marcelsite.com", "image" => "/static/authentik.svg"),
    array("name" => "uptime-kuma","displayname" => "Uptime Kuma", "link" => "https://status.marcelsite.com", "image" => "/static/uptime-kuma.svg"),
    array("name" => "forgejo","displayname" => "Forgejo", "link" => "https://git.marcelsite.com", "image" => "/static/forgejo.svg"),
    array("name" => "peertube","displayname" => "Peertube", "link" => "https://peertube.marcelsite.com", "image" => "/static/peertube.svg"),
    array("name" => "element","displayname" => "Matrix (Element)", "link" => "https://element.marcelsite.com", "image" => "/static/element.svg"),
];
?>

<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="css/base.css" type="text/css">
<title> <?php echo $title; ?> </title>
</head>

<body>
<header id="topbar" class="darkerbar"><h1><?php echo $title; ?></h1> </header>

<main>
<p>
    You've reached my realm. Now look around or leave.
</p>

<div id="links-container">
<?php
foreach ($services as $service) {
    echo "  <div class='item' id='$service[name]'>";
    echo "         <div class='image'><img class='item' alt='logo' src='$service[image]'></div><div class='desc'>$service[displayname]</div>";
    echo "      <a href='$service[link]'></a>";
    echo "  </div>";
}
?>
</div>
</main>


<footer id="bottombar" class="darkerbar">
    Footer currently completely empty.
</footer>
</body>
</html>
